declare module '@vimeo/player' {
  interface VimeoOptions {
    id?: number | string;
    url?: string;
    width?: number | string;
    height?: number | string;
    autopause?: boolean;
    autoplay?: boolean;
    background?: boolean;
    byline?: boolean;
    color?: string;
    controls?: boolean;
    dnt?: boolean;
    loop?: boolean;
    muted?: boolean;
    playsinline?: boolean;
    portrait?: boolean;
    responsive?: boolean;
    speed?: boolean;
    title?: boolean;
    transparent?: boolean;
  }

  class Player {
    constructor(element: HTMLElement | string, options?: VimeoOptions);
    destroy(): Promise<void>;
    getVideoTitle(): Promise<string>;
    getVideoId(): Promise<number>;
    getVideoUrl(): Promise<string>;
    play(): Promise<void>;
    pause(): Promise<void>;
    on(event: string, callback: Function): void;
    off(event: string, callback?: Function): void;
  }

  export default Player;
}
